apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: planner
  namespace: planner
  annotations:
    traefik.ingress.kubernetes.io/router.tls.certresolver: le
spec:
  ingressClassName: traefik
  rules:
  - host: planner.oci.euphon.net
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: planner
            port:
              number: 80
  tls:
  - hosts:
    - planner.oci.euphon.net
